"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const tsyringe_1 = require("tsyringe");
const ormConnectionProvider = tsyringe_1.container.resolve('FillarivahtiOrm.ConnectionProvider');
const logger = tsyringe_1.container.resolve('FillarivahtiRecorderHttpApi.Logger');
const express = __importStar(require("express"));
const http_status_codes_1 = require("http-status-codes");
// eslint-disable-next-line new-cap
const healthcheckRouter = express.Router();
healthcheckRouter.get('/', async (req, res) => {
    try {
        const conn = await ormConnectionProvider.getConnection();
        await conn.authenticate();
        return res.status(http_status_codes_1.StatusCodes.OK).end();
    }
    catch (error) {
        logger.error('Failed to connect to the database in the healthcheck endpoint.', {
            error: error.message,
            stack: error.stack,
        });
        return res.status(http_status_codes_1.StatusCodes.INTERNAL_SERVER_ERROR).end();
    }
});
exports.default = healthcheckRouter;
